/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebPivotKeysDescription = /*@__PURE__*/ (() => {
    class WebPivotKeysDescription extends Description {
        constructor() {
            super();
            this.i = null;
            this.l = null;
            this.h = null;
            this.k = null;
            this.j = null;
            this.m = null;
        }
        get_type() {
            return "WebPivotKeys";
        }
        get type() {
            return this.get_type();
        }
        get children() {
            return this.i;
        }
        set children(a) {
            this.i = a;
            this.e("Children");
        }
        get records() {
            return this.l;
        }
        set records(a) {
            this.l = a;
            this.e("Records");
        }
        get aggregations() {
            return this.h;
        }
        set aggregations(a) {
            this.h = a;
            this.e("Aggregations");
        }
        get level() {
            return this.k;
        }
        set level(a) {
            this.k = a;
            this.e("Level");
        }
        get columnDimensionSeparator() {
            return this.j;
        }
        set columnDimensionSeparator(a) {
            this.j = a;
            this.e("ColumnDimensionSeparator");
        }
        get rowDimensionSeparator() {
            return this.m;
        }
        set rowDimensionSeparator(a) {
            this.m = a;
            this.e("RowDimensionSeparator");
        }
    }
    WebPivotKeysDescription.$t = /*@__PURE__*/ markType(WebPivotKeysDescription, 'WebPivotKeysDescription', Description.$);
    WebPivotKeysDescription.__marshalByValue = true;
    WebPivotKeysDescription.__marshalByValueAlias = "PivotKeys";
    return WebPivotKeysDescription;
})();
